package com.model;

import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableMap;

import java.util.Date;

public class NFe implements JSInterface {

    public String accesskey;
    public String digVal;
    public String nProt;
    public String recebimento;

    public NFe(String accessKey, String digVal, String nProt, String recebimento) {
        this.accesskey = accessKey;
        this.digVal = digVal;
        this.nProt = nProt;
        this.recebimento = recebimento;
    }

    @Override
    public WritableMap toWritableArray() {
        WritableMap ret = Arguments.createMap();
        return toWritableArray(ret);
    }

    @Override
    public WritableMap toWritableArray(WritableMap wrt) {
        wrt.putString("accesskey", accesskey);
        wrt.putString("digval", digVal);
        wrt.putString("nprot", nProt);
        wrt.putString("date", recebimento);

        return wrt;
    }
}
