import { NativeModules } from 'react-native';

const { RNSocketTcpClient } = NativeModules;

//Wrappers, veja classe de Android p/ implementação

let pedeCOO = async (filial, numeroPDV, ipAgente, porta) => {
	return RNSocketTcpClient.pedeCOO(filial, numeroPDV, ipAgente, porta);
}

let pedeNumeroSerieAgente = async (filial, numeroPDV, ipAgente, porta) => {
	return RNSocketTcpClient.pedeNumeroSerieAgente(filial, numeroPDV, ipAgente, porta);
}

let enviaNFE = async (filial, numeroPDV, xml, ipAgente, porta) => {
	return RNSocketTcpClient.enviaNFE(filial, numeroPDV, xml, ipAgente, porta);
}

let cancelaNFE = async (filial, numeroPDV, xml, ipAgente, porta) => {
	return RNSocketTcpClient.cancelaNFE(filial, numeroPDV, xml, ipAgente, porta);
}

let impressaoAdicional = async (filial, numeroPDV, xml, ipAgente, porta) => {
        return RNSocketTcpClient.impressaoAdicional(filial, numeroPDV, xml, ipAgente, porta);
}

export { pedeCOO, enviaNFE, pedeNumeroSerieAgente, cancelaNFE, impressaoAdicional };
