package com.model;

import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableMap;

public class Response implements JSInterface{
    public Integer code;
    public String description;

    public Response(Integer code, String desc) {
        this.code = code;
        this.description = desc;
    }

    @Override
    public WritableMap toWritableArray(WritableMap wrt) {
        wrt.putInt("code", code);
        wrt.putString("description", description);

        return wrt;
    }

    @Override
    public WritableMap toWritableArray() {
        WritableMap ret = Arguments.createMap();
        return toWritableArray(ret);
    }
}
