package com.templates;

public class Templates {

    private double version = 3.10;

    private String agentKey = "RCH{FILIAL}{PDV}#{RNG}";

    private String header = "{AGENT_KEY}_{COMMAND}.xml_TCPMSG;";

    private String cooMsg = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>" +
            "<nfce version=\"{VERSION}\">" +
                "<coonumber>" +
                    "<agentkey>{AGENT_KEY}</agentkey>" +
                "</coonumber>" +
            "</nfce>`";

    public void setVersion(double newVal) {
        this.version = newVal;
    }

    public String getAgentKey(Integer filial, Integer numPdv, Integer random) {
        String fili = String.format("%03d", filial);
        String pdv = String.format("%03d", numPdv);
        String rng = String.valueOf(random);

        return agentKey
                .replace("{FILIAL}", fili)
                .replace("{PDV}", pdv)
                .replace("{RNG}", rng);
    }

    public String getHeader(String agentKey, String command) {
        return header
                .replace("{AGENT_KEY}", agentKey)
                .replace("{COMMAND}", command);

    }

    public String getCooMsg(String agentKey) {
        String ver = String.format("%.2f", this.version);
        return cooMsg
                .replace("{VERSION}", ver)
                .replace("{AGENT_KEY}", agentKey);

    }

}
